1. 🔃 Conversions
Multigate
  • 🚀 Getting Started
  • 🔓 Authentication
    • Get Token
    • Refresh Token
    • Logout User
    • Reset Password
    • Get Current User Info
  • 👋 Onboarding
    • Create Subclient
    • Get All Subclients
    • Get Subclient
    • Update Subclient
    • Create Subclient Shareholder
    • Get Subclient Shareholders
    • Update Subclient Shareholder
    • Upload Subclient Documents
    • Get Subclient Documents
    • Delete Subclient
    • Submit Subclient
  • 🏦 Accounts
    • 📄 Statements
      • V2
        • Get statement by account entity Id
        • Download statement by account entity Id
      • Get Statement
      • Download statement
    • Create Virtual Account
    • Get Account
    • Get Accounts By
    • Get All Accounts
    • Simulate Inflow (UAT only)
  • 🔃 Conversions
    • Get Quote
      GET
    • Lock Rate
      POST
    • Get Trade
      GET
    • Get All Trades
      GET
  • 💸 Payments
    • 🏦 Banks
      • Get Bank Details
    • 👤 Beneficiaries
      • Create Beneficiary
      • Get All Beneficiaries
      • Get Beneficiary
      • Update Beneficiary
      • Validate Beneficiary Account (NGN only)
    • Create Single Transfer
    • Get Purpose Codes
    • Find Transfers
  • 🔔 Webhooks / Push Notifications
    • Add a New Client Configuration
    • Update Client Configuration Current Mode
    • Get Client Configuration
  • 📲 Remittance
    • Initiate Remittance
    • Get Remittance
  • 📥 Receivables
    • Create Receivable
    • Get Receivable
  1. 🔃 Conversions

Get All Trades

GET
/trade-service/api/v1/fx-rates
Retrieve all previously locked rates.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-gateway-uat.mmacs.io/platform/trade-service/api/v1/fx-rates' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Get Locked Rates
application/json
Bodyapplication/json

Example
{
    "message": "The FX rates have been successfully fetched.",
    "count": 2,
    "items": [
        {
            "id": "FX-260108-100733314457",
            "sourceAmount": "1663.82",
            "sourceCurrency": "NGN",
            "rate": "0.0006010254429251893",
            "targetAmount": "1",
            "targetCurrency": "USD",
            "tradeReference": "Tk2pCUsgDolQub",
            "status": "completed",
            "createdAt": "2026-01-08T09:07:34.197Z",
            "updatedAt": "2026-01-08T09:07:34.351Z"
        },
        {
            "id": "FX-260108-100556782690",
            "sourceAmount": "1663.82",
            "sourceCurrency": "NGN",
            "rate": "0.0006010254429251893",
            "targetAmount": "1",
            "targetCurrency": "USD",
            "tradeReference": "lateef Test FX Lock Rate - Ritchieton",
            "status": "completed",
            "createdAt": "2026-01-08T09:05:57.203Z",
            "updatedAt": "2026-01-08T09:05:57.385Z"
        }
    ]
}
Modified at 2026-01-08 09:20:58
Previous
Get Trade
Next
💸 Payments
Built with